//                      Copyright (c) 1995 by
//                      Advanced Visual Systems Inc.
//                      All Rights Reserved
//
//      This software comprises unpublished confidential information of
//      Advanced Visual Systems Inc. and may not be used, copied or made
//      available to anyone, except in accordance with the license
//      under which it is furnished.
//
//      This file is under Perforce control
//      $Id: //depot/express/fcs992/include/avs/vwmod.h#1 $
//
////////////////////////////////////////////////////////////////////////////////
//
// VWMOD Viewer Module library C++/V include file
//
////////////////////////////////////////////////////////////////////////////////

#include <iostream.h>

#define GD_TYPE_INVALID 0       // cannot find the GD object
#define GD_TYPE_EMPTY   1       // empty input, and no children
#define GD_TYPE_PARENT  2       // empty input, with children
#define GD_TYPE_IMAGE   3       // image scalar/RGB/ARGB field
#define GD_TYPE_VOLUME  4       // volume field
#define GD_TYPE_TEXT    5       // text
#define GD_TYPE_GEOM    6       // input exists, but is not one of the above

////////////////////////////////////////////////////////////////////////////////

#define MESSAGE(T,M) cout << FUNC << ": " << T << " - " << M << endl;

#define ERROR(M)     MESSAGE( "Error",  M )
#define WARNING(M)   MESSAGE( "Warning" M )

#define TEST_STAT(S,M) \
	if (S != OM_STAT_SUCCESS) { ERROR( M ); return(0); }

#define TEST_ID(I,M) \
	if (OMis_null_obj(I))     { ERROR( M ); return(0); }

#define TEST_PTR(P,M) \
	if (!P)                   { ERROR( M ); return(0); }

////////////////////////////////////////////////////////////////////////////////
